Bug 103417 - [maintainer] mail/dkim-milter to run as a non-privileged user
Summary: [maintainer] mail/dkim-milter to run as a non-privileged user
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-20 08:10 UTC by Hirohisa Yamaguchi
Modified: 2006-09-24 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.20 KB, patch)
2006-09-20 08:10 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2006-09-20 08:10:19 UTC
	for some reasons, milter processes are recommended to run as non-privileged users.
	And mail/dkim-milter does not.

Fix: The patch follows.

	Changes in this patch:
	+ add new file pkg-install to create a user "dkimfilter"
	+ make a directory under /var/run owned by the user to run
	  and the default file and sock have moved into the directory
	+ fix multiple-instantiation failure in recent OSVERSION

	ports/103404 is also open for now.
How-To-Repeat: 	N/A
Comment 1 Hirohisa Yamaguchi 2006-09-23 14:29:08 UTC
Please close this one as I sent an patch updete to ports/103404,
which supersedes this pr.

 http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103404

-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 2 dfilter service freebsd_committer 2006-09-24 18:01:21 UTC
pav         2006-09-24 17:01:15 UTC

  FreeBSD ports repository

  Modified files:
    mail/dkim-milter     Makefile distinfo pkg-message 
    mail/dkim-milter/files milter-dkim.sh.in 
  Added files:
    mail/dkim-milter     pkg-install pkg-message.postfix 
  Removed files:
    mail/dkim-milter/files patch-libar-Makefile.m4 
  Log:
  - Update to 0.5.2
  - Add an option for Postfix milter
  - Run under unpriviledged user
  
  PR:             ports/103404, ports/103417
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)
  
  Revision  Changes    Path
  1.8       +16 -2     ports/mail/dkim-milter/Makefile
  1.6       +3 -3      ports/mail/dkim-milter/distinfo
  1.4       +29 -9     ports/mail/dkim-milter/files/milter-dkim.sh.in
  1.2       +0 -10     ports/mail/dkim-milter/files/patch-libar-Makefile.m4 (dead)
  1.1       +18 -0     ports/mail/dkim-milter/pkg-install (new)
  1.3       +1 -1      ports/mail/dkim-milter/pkg-message
  1.1       +16 -0     ports/mail/dkim-milter/pkg-message.postfix (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pav Lucistnik freebsd_committer 2006-09-24 18:01:26 UTC
State Changed
From-To: open->closed

Committed, thanks!